package potential;

public class HalfParabolic extends Potential {

	double a;

	public HalfParabolic() {
		this(4e-18);
	}

	public HalfParabolic(double a) {
		this.a = a;
	}

	public double value(double x) {
		return (x < 0.5) ? 0 : a * (x - 0.5) * (x - 0.5);
	}
}