package potential;

public class Step extends Potential {
	double height;
	double start;
	double stop;

	public Step() {
		this(4e-19, 0.65, 0.73);
	}

	public Step(double height, double start, double stop) {
		this.height = height;
		this.start = start;
		this.stop = stop;
	}

	public double value(double x) {
		return ((x > start) && (x < stop)) ? height : 0;
	}
}